Find mirrored walls

script

Hello dynamos,

How can i Find mirrored walls? the script works for the category doors but not walls?
How about other “hidden” comands?

Revit docs?
Dicconary Dynamo?

KR

Andreas

1 Like

Hi @Draxl_Andreas,

import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *

# Import RevitAPI
clr.AddReference('RevitAPI')
import Autodesk

items=UnwrapElement(IN[0])

mirs = []
for i in items:
	if i.Mirrored == True :
		mirs.append(i)	
#Assign your output to the OUT variable
OUT = mirs

https://apidocs.co/apps/revit/2019/20ab2f32-e3ca-8173-aac3-a03e998fd0ab.htm

P.S : The walls don’t have a Mirrored Property, it’s only for the familyinstances.

2 Likes

Ahh ok… when i mirror a wall with doors so just the doors get the “track” of beeing mirrored, ok i understand

1 Like